{
    "$graph": [
        {
            "class": "CommandLineTool",
            "requirements": [
                {
                    "coresMax": 1,
                    "ramMin": 200,
                    "class": "ResourceRequirement"
                }
            ],
            "baseCommand": [
                "make_csv.py"
            ],
            "inputs": [
                {
                    "type": "string",
                    "inputBinding": {
                        "prefix": "-o"
                    },
                    "id": "#make_csv.cwl/output_name"
                },
                {
                    "format": "http://edamontology.org/format_3475",
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-i"
                    },
                    "id": "#make_csv.cwl/tab_sep_table"
                }
            ],
            "hints": [
                {
                    "dockerPull": "alpine:3.7",
                    "class": "DockerRequirement"
                }
            ],
            "id": "#make_csv.cwl",
            "http://schema.org/license": "https://www.apache.org/licenses/LICENSE-2.0",
            "http://schema.org/copyrightHolder": "EMBL - European Bioinformatics Institute",
            "outputs": [
                {
                    "type": "File",
                    "format": "http://edamontology.org/format_3752",
                    "outputBinding": {
                        "glob": "$(inputs.output_name)"
                    },
                    "id": "#make_csv.cwl/csv_result"
                }
            ]
        },
        {
            "class": "Workflow",
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "MultipleInputFeatureRequirement"
                },
                {
                    "class": "ScatterFeatureRequirement"
                },
                {
                    "class": "StepInputExpressionRequirement"
                },
                {
                    "class": "SubworkflowFeatureRequirement"
                }
            ],
            "inputs": [
                {
                    "type": "File",
                    "id": "#main/fasta"
                },
                {
                    "type": "File",
                    "id": "#main/genome_properties_summary"
                },
                {
                    "type": "File",
                    "id": "#main/kegg_summary"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputSource": "#main/create_csv_gp/csv_result",
                    "id": "#main/gp_summary_csv"
                },
                {
                    "type": "File",
                    "outputSource": "#main/create_csv_kp/csv_result",
                    "id": "#main/kegg_summary_csv"
                }
            ],
            "steps": [
                {
                    "run": "#make_csv.cwl",
                    "in": [
                        {
                            "source": "#main/genome_properties_summary",
                            "valueFrom": "$(self.nameroot.split('SUMMARY_FILE_')[1])",
                            "id": "#main/create_csv_gp/output_name"
                        },
                        {
                            "source": "#main/genome_properties_summary",
                            "id": "#main/create_csv_gp/tab_sep_table"
                        }
                    ],
                    "out": [
                        "#main/create_csv_gp/csv_result"
                    ],
                    "id": "#main/create_csv_gp"
                },
                {
                    "run": "#make_csv.cwl",
                    "in": [
                        {
                            "source": "#main/kegg_summary",
                            "valueFrom": "$(self.nameroot)",
                            "id": "#main/create_csv_kp/output_name"
                        },
                        {
                            "source": "#main/kegg_summary",
                            "id": "#main/create_csv_kp/tab_sep_table"
                        }
                    ],
                    "out": [
                        "#main/create_csv_kp/csv_result"
                    ],
                    "id": "#main/create_csv_kp"
                }
            ],
            "id": "#main",
            "http://schema.org/license": "https://www.apache.org/licenses/LICENSE-2.0",
            "http://schema.org/copyrightHolder": "EMBL - European Bioinformatics Institute"
        }
    ],
    "cwlVersion": "v1.0",
    "$schemas": [
        "https://schema.org/version/latest/schemaorg-current-http.rdf",
        "http://edamontology.org/EDAM_1.16.owl"
    ],
    "$namespaces": {
        "edam": "http://edamontology.org/",
        "s": "http://schema.org/"
    }
}
